Feature: Author generates website

  As an author
  I have many posts
  That I want to publish

  Scenario: generate individual posts
    Given I have a valid project
    Given I have a raw format
    Given I have a article format
    Given I have a page format
    Given I have a month format
    Given I have a year format
    Given I have a tag format
    Given I have a tag_cloud format
    Given I have a landing_page format
    Given The project has a post titled "A sample post" from 3 Feb 2012 tagged funny
    Given The project has a post titled "Purple People Eaters" from 1 Mar 2013 tagged funny
    Given The project has a post titled "Flying Monkeys" from 8 Mar 2013 tagged strange
    When I run contraption
    Then The site should contain 2012/02/a-sample-post.html
    Then The site should contain 2013/03/purple-people-eaters.html
    Then The site should contain 2013/03/flying-monkeys.html
    Then The site should contain 2012/02/index.html
    Then The site should contain 2013/03/index.html
    Then The site should contain 2012/index.html
    Then The site should contain 2013/index.html
    Then The site should contain tags/funny/index.html
    Then The site should contain tags/strange/index.html
    Then The site should contain tags/index.html
    Then The site should contain recent.html
    And  'recent.html' should have "Flying Monkeys" before "Purple People Eaters".
    Then The site should contain index.html
    Then The site should contain rss

