# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'contraption/version'

Gem::Specification.new do |spec|
  spec.name          = "contraption"
  spec.version       = Contraption::VERSION
  spec.authors       = ["Casey Robinson"]
  spec.email         = ["kc@rampantmonkey.com"]
  spec.description   = %q{Static site generator}
  spec.summary       = %q{Static site generator}
  spec.homepage      = "http://rampantmonkey.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~> 2.13"
  spec.add_development_dependency "cucumber", "~> 1.3"
  spec.add_development_dependency "coveralls", "~> 0.6"

  spec.add_dependency "redcarpet", "~> 2.3"
  spec.add_dependency "aws-s3",    "~> 0.6.3"
end
