require_relative '../../../lib/contraption/options'

module Contraption
  describe Options do
    it "accepts an array of arguments" do
      Options.new []
    end

    it "sets the source with -s" do
      Options.new(["-s", "TheSource"]).source.path.should eq "TheSource"
    end

    it "sets the source with --source" do
      Options.new(["--source", "TheSource"]).source.path.should eq "TheSource"
    end

    it "sets the destination with -d" do
      Options.new(["-d", "TheDestination"]).destination.path.should eq "TheDestination"
    end

    it "sets the destination with --destination" do
      Options.new(["--destination", "TheDestination"]).destination.path.should eq "TheDestination"
    end
  end
end
